<div class="auth-form-center">
    <div class="auth-form-header">
        <span>{{'Recovery' | translate}} {{'password' | translate}}</span>
    </div>
    <div class="auth-form-body">
        <form novalidate [formGroup]="recoveryForm" (ngSubmit)="recovery()" class="form-row">
            <div class="col-12">
                <mat-form-field appearance="outline" class="input-fluid">
                    <mat-label>Email</mat-label>
                    <input id="email" formControlName="email" matInput placeholder="Email">
                    <mat-error *ngIf="email.hasError('required')">
                        Email {{'is required'|translate}}
                    </mat-error>
                </mat-form-field>
            </div>
            <div class="col-12">
                <mat-error *ngIf="loginFail">
                    {{'LOGIN_FAILED'|translate}}
                </mat-error>
                <div class="d-flex justify-content-between mt-4">
                    <a routerLink="../signin">{{ 'Sign in' | translate}}</a>
                    <button type="submit" class="btn btn-primary">{{'Recovery' | translate}}</button>
                </div>
            </div>
        </form>
    </div>
</div>
